> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delegations by delegator

> This endpoint returns the delegation history by delegator address

Using this endpoint, you can query per delegator using its delegator address, and you will see that particular delegator's delegation history per operator. Returned information includes the start date (`fromDate`) and end dates (`toDate)` of the delegation. If `toDate` is `None`, it means the address is currently delegated to that operator.


## OpenAPI

````yaml get /v1/eigenlayer/delegators/{delegator_address}/delegations
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eigenlayer/delegators/{delegator_address}/delegations:
    get:
      tags:
        - Eigenlayer Delegations
      summary: Get delegations by delegator
      description: This endpoint returns the delegation history by delegator address
      operationId: >-
        get_delegator_delegations_v1_eigenlayer_delegators__delegator_address__delegations_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__64
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__64:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              Operator:
                properties:
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Name
                  address:
                    type: string
                    title: Address
                type: object
                required:
                  - name
                  - address
                title: Operator
                examples:
                  - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                    name: Bob the Operator
            properties:
              delegator:
                type: string
                title: Delegator
              eigenpodAddress:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Eigenpodaddress
              operator: 73414301-a215-4aba-8583-f18cd8933e3c
              fromDate:
                type: string
                format: date-time
                title: Fromdate
              toDate:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Todate
            type: object
            required:
              - delegator
              - eigenpodAddress
              - operator
              - fromDate
              - toDate
            title: EigenlayerDelegation
            examples:
              - delegator: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
                fromDate: '2024-10-01T18:13:27.584133'
                operator:
                  - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                    name: Bob the Operator
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1EigenlayerDelegation
      examples:
        - next: >-
            https://api.rated.network//v1/eigenlayer/delegators/{delegator_address}/delegations?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/eigenlayer/delegators/{delegator_address}/delegations?limit=10&offset=10
          results:
            - - delegator: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
                fromDate: '2024-10-01T18:13:27.584133'
                operator:
                  - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                    name: Bob the Operator
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````